Subject: Re: bug#53916: 29.0.50; pgtk: Gtk-WARNING with popup menu

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Feb 2022 07:20:10 +0100

Po Lu <[email-masked]> writes:

> But I don't know whether or not it's okay to treat all warnings that
> way.  For example, bug#53900 is a serious bug that got caught by someone
> noticing a warning emitted by GTK, and presumably wouldn't have been
> reported if the warning had been filtered out.

That's true.  Perhaps redirecting the messages to *Messages* instead of
stderr (and do no filtering per default?) is a better solution indeed.
(I think the having the warnings in the terminal looks a bit
unprofessional and untidy, so keeping them inside Emacs would help.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no